Cancel webhook subscription
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions/{eventTypeId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions/{eventTypeId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions/{eventTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Permissions required: Configure Webhooks
Cancel a webhook subscription to stop receiving notifications for its event type in its webhook endpoint.
DELETE
/
webhook
/
endpoints
/
{endpointId}
/
subscriptions
/
{eventTypeId}
Cancel webhook subscription
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions/{eventTypeId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions/{eventTypeId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions/{eventTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique identifier for the endpoint
Minimum string length:
1concatenation of topic+"."+name
Minimum string length:
1Response
Successfully canceled webhook subscription
Was this page helpful?